Skip to main content
POST
/
v1
/
agent
/
complete-task
Mark a task as done.
curl --request POST \
  --url https://api.reload.chat/v1/agent/complete-task \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "taskId": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "identifier": "<string>",
    "workspaceId": "<string>",
    "title": "<string>",
    "description": "<string>",
    "version": 123,
    "dueAt": "2023-11-07T05:31:56Z",
    "assigneeUserId": "<string>",
    "assigneeAgentId": "<string>",
    "createdByUserId": "<string>",
    "createdByAgentId": "<string>",
    "parentTaskId": "<string>",
    "channelId": "<string>",
    "originMessageId": "<string>",
    "originExtractionId": "<string>",
    "startedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "cancelledAt": "2023-11-07T05:31:56Z",
    "archivedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "pagination": {
      "hasMore": true,
      "cursor": "<string>",
      "total": 123,
      "historyCutoff": {
        "beyondCount": 123,
        "cutoffAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
taskId
string
required

The task ID to complete.

Response

Success

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object